低危 通过符号链接和子存储库绕过路径检查逻辑

CVE编号

CVE-2019-3902

利用情况

暂无

补丁情况

官方补丁

披露时间

2019-04-23
漏洞描述
在4.9之前,Mercurial发现了一个缺陷。可以使用符号链接和子存储库来击败Mercurial的路径检查逻辑并在存储库外部写入文件。<br>
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 mercurial mercurial * Up to
(excluding)
4.9
运行在以下环境
系统 alpine_3.10 mercurial * Up to
(excluding)
4.9-r0
运行在以下环境
系统 alpine_3.11 mercurial * Up to
(excluding)
4.9-r0
运行在以下环境
系统 alpine_3.12 mercurial * Up to
(excluding)
4.9-r0
运行在以下环境
系统 alpine_3.13 mercurial * Up to
(excluding)
4.9-r0
运行在以下环境
系统 alpine_3.14 mercurial * Up to
(excluding)
4.9-r0
运行在以下环境
系统 alpine_3.15 mercurial * Up to
(excluding)
4.9-r0
运行在以下环境
系统 alpine_3.16 mercurial * Up to
(excluding)
4.9-r0
运行在以下环境
系统 alpine_3.7 mercurial * Up to
(excluding)
4.5.2-r1
运行在以下环境
系统 alpine_3.8 mercurial * Up to
(excluding)
4.6.1-r1
运行在以下环境
系统 alpine_3.9 mercurial * Up to
(excluding)
4.9-r0
运行在以下环境
系统 alpine_edge mercurial * Up to
(excluding)
4.9-r0
运行在以下环境
系统 debian_10 mercurial * Up to
(excluding)
4.8.2-1+deb10u1
运行在以下环境
系统 debian_8 mercurial * Up to
(excluding)
3.1.2-2+deb8u4
运行在以下环境
系统 debian_9 mercurial * Up to
(excluding)
4.0-1+deb9u2
运行在以下环境
系统 opensuse_Leap_15.1 mercurial * Up to
(excluding)
4.5.2-lp151.6.3.1
运行在以下环境
系统 opensuse_Leap_15.2 mercurial * Up to
(excluding)
4.5.2-lp152.7.3.1
运行在以下环境
系统 ubuntu_18.04.5_lts mercurial * Up to
(excluding)
4.5.3-1ubuntu2.2
阿里云评分
2.7
  • 攻击路径
    远程
  • 攻击复杂度
    困难
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-59 在文件访问前对链接解析不恰当(链接跟随)
阿里云安全产品覆盖情况